> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/cdn/domain/startdomain.md).

# StartDomain

## 1. API Description

This interface is used to enable an acceleration domain.

{% hint style="info" %}
**Note**

* An acceleration domain can only be successfully called when it is in the `Stopped` state.
* This interface is asynchronous. After a successful return from the interface, the operation to enable the acceleration domain is not immediately completed. During this period, the state of the acceleration domain will be `Deploying`. You can check the accelerator status by calling the `DescribeCdnDomains` interface. If the acceleration domain status (domainStatus) changes from `Deploying` (in deployment) to `Deployed` (deployment successful), it indicates that the deployment is successful. `Failed` indicates deployment failure.
  {% endhint %}

## 2. Request Parameters

The following request parameters list only includes the required parameters for the interface.

| Parameter Name | Required | Type   | Description            |
| -------------- | -------- | ------ | ---------------------- |
| domainId       | Yes      | String | Acceleration domain Id |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                 |
| -------------- | ------ | ------------------------------------------------------------------------------------------- |
| requestId      | String | Unique request ID, returned with each request. Provide this requestId when locating issues. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Enable Acceleration Domain**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: StartDomain
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx"
}


Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                        | Description                                      |
| ---------------- | --------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist. |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | Operation denied due to lack of permission.      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/domain/startdomain.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
